package cc.smtweb.system.bpm.web.sys.user.menuPlan;

import cc.smtweb.framework.core.db.impl.BaseBean;

import java.util.Collections;
import java.util.List;

/**
 * @Author: tanghp
 * @Date: 2022-08-02 12:52
 * @Desc:
 */
public class MenuPlanItem extends BaseBean {
    /**
     * 主键
     */
    public long getId() {
        return getLong("id");
    }

    /**
     * 主键
     */
    public void setId(long id) {
        put("id", id);
    }

    /**
     * 菜单ID
     */
    public long getMenu() {
        return getLong("menu");
    }

    /**
     * 菜单ID
     */
    public void setMenu(long menu) {
        put("menu", menu);
    }

    /**
     * 标题
     */
    public String getLabel() {
        return getStr("label");
    }

    /**
     * 标题
     */
    public void setLabel(String label) {
        put("label", label);
    }

    /**
     * 图标
     */
    public String getIcon() {
        return getStr("icon");
    }

    /**
     * 图标
     */
    public void setIcon(String icon) {
        put("icon", icon);
    }

    /**
     * 排序码
     */
    public int getSeq() {
        return getInt("seq");
    }

    /**
     * 排序码
     */
    public void setSeq(int seq) {
        put("seq", seq);
    }
    /**
     * 排序码
     */
    public int getHome() {
        return getInt("home");
    }

    /**
     * 排序码
     */
    public void setHome(int home) {
        put("home", home);
    }
    public void setChildren(List<MenuPlanItem> children) {
        put("children", children);
    }

    public List<MenuPlanItem> getChildren() {
        Object obj = get("children");
        if (obj == null) return null;
        List<MenuPlanItem> list = (List<MenuPlanItem>) obj;
        Collections.sort(list, new MenuPlanComparator());
        return list;
    }
}
